> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Accepted Payment Methods

GET https://api.bigcommerce.com/stores/{store_hash}/v3/payments/methods

Returns a list of accepted payment methods based on the `order_id` or `checkout_id`.

**Notes**
* Use the [Create an Order](/developer/api-reference/rest/admin/management/orders/create-order) endpoint to generate the `order_id`.
* Orders created will be set to incomplete order status.
* The cart ID and checkout ID are the same.

**Required Fields**
* `order_id` or `checkout_id`

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/payments/methods/v3/get-payment-methods

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Create Payments | create | `store_payments_access_token_create` | | Get Payment Methods | read-only | `store_payments_methods_read` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `order_id` (integer, optional) — The ID of the subject order.
- `checkout_id` (string, optional) — The ID of the subject checkout; identical to the cart ID.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

A list of accepted payment methods.

- `data` (list of paymentMethod_Full, optional)
- `meta` (PaymentsMethodsGetResponsesContentApplicationJsonSchemaMeta, optional) — Response metadata.

## Errors

### 400 Bad Request Error

Request has been rejected

- `status` (integer, required) — HTTP status code
- `title` (string, required) — Short summary describing the particular error
- `type` (string, required) — Reference that identifies the particular error
- `detail` (string, optional) — Detailed summary describing the particular error
- `code` (integer, optional) — Code representing the particular error
- `errors` (PaymentsMethodsGetResponsesContentApplicationJsonSchemaErrors, optional)

### 401 Unauthorized Error

Valid authentication required

- `status` (integer, required) — HTTP status code
- `title` (string, required) — Short summary describing the particular error
- `type` (string, required) — Reference that identifies the particular error
- `detail` (string, optional) — Detailed summary describing the particular error
- `code` (integer, optional) — Code representing the particular error
- `errors` (PaymentsMethodsGetResponsesContentApplicationJsonSchemaErrors, optional)

### 404 Not Found Error

Request has been rejected due to resource not being found

- `status` (integer, required) — HTTP status code
- `title` (string, required) — Short summary describing the particular error
- `type` (string, required) — Reference that identifies the particular error
- `detail` (string, optional) — Detailed summary describing the particular error
- `code` (integer, optional) — Code representing the particular error
- `errors` (PaymentsMethodsGetResponsesContentApplicationJsonSchemaErrors, optional)

### 422 Unprocessable Entity Error

Request has been rejected due to missing or invalid data

- `status` (integer, required) — HTTP status code
- `title` (string, required) — Short summary describing the particular error
- `type` (string, required) — Reference that identifies the particular error
- `detail` (string, optional) — Detailed summary describing the particular error
- `code` (integer, optional) — Code representing the particular error
- `errors` (PaymentsMethodsGetResponsesContentApplicationJsonSchemaErrors, optional)

## Types

### paymentMethod_Full

- `id` (string, required) — Identifier for this payment method
- `name` (string, required) — Name of this payment method
- `supported_instruments` (list of PaymentMethodFullSupportedInstrumentsItems, required)
- `test_mode` (boolean, required, default: false) — Whether this payment method is on test mode
- `type` (string, required, default: card) — Type to classify this payment method
- `stored_instruments` (list of paymentMethodStoredInstrument, optional)

### PaymentsMethodsGetResponsesContentApplicationJsonSchemaMeta

Response metadata.

### PaymentsMethodsGetResponsesContentApplicationJsonSchemaErrors

### PaymentMethodFullSupportedInstrumentsItems

- `instrument_type` (enum, required) — Type of this instrument
  - Allowed values: `VISA`, `MASTERCARD`, `DISCOVER`, `AMEX`, `DINERS_CLUB`, `JCB`, `DANKORT`, `MAESTRO`, `STORED_CARD`
- `verification_value_required` (boolean, optional) — Whether verification value is required for payment

### paymentMethodStoredInstrument

- `brand` (string, required) — Brand of this card such as VISA or Mastercard
- `expiry_month` (integer, required) — Expiry month of this card
- `expiry_year` (integer, required) — Expiry year of this card
- `issuer_identification_number` (string, required) — Issuer identification number of this card. This is extracted from the card when the order is paid for.
- `last_4` (string, required) — Last four numbers of this card
- `token` (string, required) — A BigCommerce-generated identifier that represents the stored card.
- `is_default` (boolean, required, default: false) — Whether this instrument is a default instrument
- `type` (string, required, default: stored_card) — Type to classify this stored card

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "bigcommerce.gift_certificate",
      "name": "Gift Certificate",
      "supported_instruments": [],
      "test_mode": false,
      "type": "gift_certificate",
      "stored_instruments": []
    },
    {
      "id": "bigcommerce.store_credit",
      "name": "Store Credit",
      "supported_instruments": [],
      "test_mode": false,
      "type": "store_credit",
      "stored_instruments": []
    },
    {
      "id": "stripe.card",
      "name": "Stripe",
      "supported_instruments": [
        {
          "instrument_type": "VISA",
          "verification_value_required": true
        },
        {
          "instrument_type": "MASTERCARD",
          "verification_value_required": true
        },
        {
          "instrument_type": "AMEX",
          "verification_value_required": true
        },
        {
          "instrument_type": "DISCOVER",
          "verification_value_required": true
        },
        {
          "instrument_type": "JCB",
          "verification_value_required": true
        },
        {
          "instrument_type": "DINERS_CLUB",
          "verification_value_required": true
        },
        {
          "instrument_type": "STORED_CARD",
          "verification_value_required": true
        }
      ],
      "test_mode": true,
      "type": "card",
      "stored_instruments": [
        {
          "brand": "VISA",
          "expiry_month": 9,
          "expiry_year": 2020,
          "issuer_identification_number": "424242",
          "last_4": "4242",
          "token": "050a1e5c982e5905288ec5ec33f292772762033a0704f46fccb16bf1940b51ef",
          "is_default": true,
          "type": "stored_card"
        }
      ]
    }
  ],
  "meta": {}
}
```

**SDK Code**

```python response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/payments/methods"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/payments/methods';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/payments/methods"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/payments/methods")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/payments/methods")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/payments/methods', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/payments/methods");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/payments/methods")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```